package test.projet.ejb.client.dto;

import java.io.Serializable;

public class DTOPersonneTelephone implements Serializable
{
	public static final long serialVersionUID = 1;
	private Integer uid;
	private DTOTelephoneType telephoneType;
	private String numero;

	public DTOPersonneTelephone()
	{
		super();
	}

	public DTOPersonneTelephone(Integer uid, DTOTelephoneType telephoneType, String numero)
	{
		super();
		this.uid = uid;
		this.telephoneType = telephoneType;
		this.numero = numero;
	}

	public Integer getUid()
	{
		return uid;
	}

	public void setUid(Integer uid)
	{
		this.uid = uid;
	}

	public DTOTelephoneType getTelephoneType()
	{
		return telephoneType;
	}

	public void setTelephoneType(DTOTelephoneType telephoneType)
	{
		this.telephoneType = telephoneType;
	}

	public String getNumero()
	{
		return numero;
	}

	public void setNumero(String numero)
	{
		this.numero = numero;
	}

	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + ((uid == null) ? super.hashCode() : uid.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DTOPersonneTelephone other = (DTOPersonneTelephone) obj;
		if (uid == null)
		{
			if (other.uid != null)
				return false;
		} else if (!uid.equals(other.uid))
			return false;
		return true;
	}

}
