package test.projet.administration.civilite;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Named;

import test.projet.ejb.client.dto.DTOCivilite;
import test.projet.ejb.client.session.MonProjetFacadeLocal;

@Named
@ApplicationScoped
public class CiviliteRechercheDataModel implements Serializable
{
	public static final long serialVersionUID = 1;
	private List<DTOCivilite> civilites;
	@EJB
	private MonProjetFacadeLocal facade;
	
	public List<DTOCivilite> getCivilites()
	{
		if (civilites == null)
		{
			civilites = facade.rechercheCivilites(null, null, false, 0, 0, null, null).getRecords();
		}
		return civilites;
	}
	
	public void reset()
	{
		civilites = null;
	}
}
