package test.projet.administration.telephonetype;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Named;

import test.projet.ejb.client.dto.DTOTelephoneType;
import test.projet.ejb.client.session.MonProjetFacadeLocal;

@Named
@ApplicationScoped
public class TelephoneTypeRechercheDataModel implements Serializable
{
	public static final long serialVersionUID = 1;
	private List<DTOTelephoneType> types;
	@EJB
	private MonProjetFacadeLocal facade;
	
	public List<DTOTelephoneType> getTypes()
	{
		if (types == null)
		{
			types = facade.rechercheTelephoneTypes(false, 0, 0, null, null).getRecords();
		}
		return types;
	}

	public void reset()
	{
		types = null;
	}
}
