package test.projet.kernel.jsf.validator;

import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.validator.FacesValidator;
import javax.faces.validator.Validator;
import javax.faces.validator.ValidatorException;

import test.projet.ejb.client.utils.Utils;

@FacesValidator(value = "telephoneNumeroValidator", managed = true)
public class TelephoneNumeroValidator implements Validator<Object>
{
	public TelephoneNumeroValidator()
	{
		super();
	}

	@Override
	public void validate(FacesContext context, UIComponent component, Object value) throws ValidatorException
	{
		if (!Utils.isSet(value))
		{
			throw new ValidatorException(new FacesMessage("Le numéro de téléphone est obigatoire"));
		}
	}

}
