package test.projet.ejb.client.dto;

import java.io.Serializable;

public class DTOTelephoneType implements Serializable
{
	public static final long serialVersionUID = 1;
	private Integer uid;
	private String code;
	private String libelle;

	public DTOTelephoneType()
	{
		super();
	}

	public DTOTelephoneType(Integer uid, String code, String libelle)
	{
		super();
		this.uid = uid;
		this.code = code;
		this.libelle = libelle;
	}

	public Integer getUid()
	{
		return uid;
	}

	public void setUid(Integer uid)
	{
		this.uid = uid;
	}

	public String getCode()
	{
		return code;
	}

	public void setCode(String code)
	{
		this.code = code;
	}

	public String getLibelle()
	{
		return libelle;
	}

	public void setLibelle(String libelle)
	{
		this.libelle = libelle;
	}

	@Override
	public int hashCode()
	{
		final int prime = 31;
		int result = 1;
		result = prime * result + ((uid == null) ? super.hashCode() : uid.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj)
	{
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		DTOTelephoneType other = (DTOTelephoneType) obj;
		if (uid == null)
		{
			if (other.uid != null)
				return false;
		} else if (!uid.equals(other.uid))
			return false;
		return true;
	}

}
