package test.projet.personne;

import javax.enterprise.context.SessionScoped;
import javax.inject.Named;

import test.projet.ejb.client.dto.DTOPersonne;
import test.projet.kernel.AbstractRechercheOptions;

@Named
@SessionScoped
public class PersonneRechercheOptions extends AbstractRechercheOptions
{
	private static final long serialVersionUID = 1;
	private Character genre;
	private String prenom;
	private String nom;
	private DTOPersonne selected;

	public PersonneRechercheOptions()
	{
		super();
	}

	public Character getGenre()
	{
		return genre;
	}

	public void setGenre(Character genre)
	{
		checkChanged(genre, this.genre);
		this.genre = genre;
	}

	public String getPrenom()
	{
		return prenom;
	}

	public void setPrenom(String prenom)
	{
		checkChanged(prenom, this.prenom);
		this.prenom = prenom;
	}

	public String getNom()
	{
		return nom;
	}

	public void setNom(String nom)
	{
		checkChanged(nom, this.nom);
		this.nom = nom;
	}

	public DTOPersonne getSelected()
	{
		return selected;
	}

	public void setSelected(DTOPersonne selected)
	{
		this.selected = selected;
	}

}
